package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class DetailTOWSVO extends BaseMasterVO{

	@ManyToOne
	@JoinColumn(name = "towsFk")
	@NotNull(message="TOWS Harus Diisi")
	@Caption(value="SWOT")
	private TOWSVO tows;
	
	@Column(name = "towsFk", insertable=false,updatable=false)
	private Integer towsId;
	
	@Column(name="input",nullable = false)
	private String input;

	public TOWSVO getTows() {
		return tows;
	}

	public void setTows(TOWSVO tows) {
		this.tows = tows;
	}

	public Integer getTowsId() {
		return towsId;
	}

	public void setTowsId(Integer towsId) {
		this.towsId = towsId;
	}

	public String getInput() {
		return input;
	}

	public void setInput(String input) {
		this.input = input;
	}
}
